package router

import (
	"gin-vue-admin/api/mobile"
	v1 "gin-vue-admin/api/v1"
	"gin-vue-admin/middleware"
	"github.com/gin-gonic/gin"
)

func InitVipRouter(Router *gin.RouterGroup) {
	DataVipCommentRouter := Router.Group("vip").Use(middleware.OperationRecord())
	{
		DataVipCommentRouter.POST("getVipList", mobile.GetVipList)
		DataVipCommentRouter.POST("openVip", mobile.OpenVip)
	}
}

func InitVipPublicRouter(Router *gin.RouterGroup) {
	DataVipCommentRouter := Router.Group("vip").Use(middleware.OperationRecord())
	{
		DataVipCommentRouter.POST("callBack", mobile.CallBack)
		DataVipCommentRouter.POST("openVipOwn", mobile.OpenVipOwn)
	}
}

func InitAdminVipPrivateRouter(Router *gin.RouterGroup) {
	DataAdminVipCommentRouter := Router.Group("adminVip").Use(middleware.OperationRecord())
	{
		DataAdminVipCommentRouter.POST("getVipOrderList", v1.GetVipOrderList)
		DataAdminVipCommentRouter.POST("setMobileUserVip", v1.SetMobileUserVip)
	}
}

func InitAdminVipPublicRouter(Router *gin.RouterGroup) {
	DataAdminVipCommentRouter := Router.Group("adminVip").Use(middleware.OperationRecord())
	{
		DataAdminVipCommentRouter.GET("exportVipOrder", v1.ExportVipOrder)
	}
}
